public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/numba/
Date: Wed,  6 Apr 2016 05:29:35 +0000 (UTC)	[thread overview]
Message-ID: <1459920569.5f666b74c1a6aa0713a1661357a62bca986d334d.patrick@gentoo> (raw)

commit:     5f666b74c1a6aa0713a1661357a62bca986d334d
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 19:05:21 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 05:29:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f666b74

dev-python/numba: Bump

Package-Manager: portage-2.2.28

 dev-python/numba/Manifest            |  1 +
 dev-python/numba/numba-0.25.0.ebuild | 66 ++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/numba/Manifest b/dev-python/numba/Manifest
index 3ff8221..4423d88 100644
--- a/dev-python/numba/Manifest
+++ b/dev-python/numba/Manifest
@@ -4,3 +4,4 @@ DIST numba-0.20.0.tar.gz 895183 SHA256 62dd4eebbd8fef27a8a60b74de2f540b12223939e
 DIST numba-0.22.1.tar.gz 1101843 SHA256 2b0c95cf9c4f6390b1ff0a238499ee4cc32b3695728293e1d888cd3c15803633 SHA512 0514a04e83f800ba4dba97e5b220fd5d530e923e91769881f9df320a0eedcfb1e652fc87a1cda2d80223e38a25f85387a1930259179996bab7b7a731b86864c0 WHIRLPOOL dd554a15ea3783bfe335ed08b538eed6ec7071986ef4ad63e76e51c3d06783b38dccd0fb5b01b720eab130dbb20d8a2fe8cefd4124a6f57aeb10e74c228fad16
 DIST numba-0.23.1.tar.gz 1284771 SHA256 54359b8ef700a70f0d7a9b9aecb2c58867fd23479f556730d8b3422a132d5735 SHA512 833087ac4272d386eca0434855128773284f0f1f7cd85143088d2184781b070bf2922a7e2378ae90ba53382ffb5c547e9c2e34ec35a9423e1cf2ad9706d7c366 WHIRLPOOL 1cc91acb8acd9e14ace0be14c45e5e1abf5fc28440ad463240f8ed5b18708496b166ebb9134df32170551ac6f7e123d1dcb4897434320bb9471338c008b638ab
 DIST numba-0.24.0.tar.gz 1134646 SHA256 623fa32a9e0018dcbffb3e5ab29c87a12252e67eb1325be69abac9faaff2f8ed SHA512 ffad0fa1a92479aa7d41cbbfdace5bb8c2be49b99cf7da3ccacbc972b910e945bb763aaf1a1704c2af28c57d9384530c7303571653ff964d7470cb48704062bc WHIRLPOOL b280105aa8ccd74e689f7d1a837bd4e7833400fdb1f469810b8c01db37ada725698534cdf95aad34a5f85d1bd8b206c83fd02be1100924889487813269721ba9
+DIST numba-0.25.0.tar.gz 1180078 SHA256 a5e6c4d3a1b7c99b69c41d2af2894e631dff9809cc6c3c851f956920608c8602 SHA512 c9b2f9cb93b63fc8bfc0f5964be22d6da5df80d27f1f3df690cfc293f6c51e483053dbd9bcc38938be690b66ef14eea969fdf84120e4cebc108d58b8344e67c5 WHIRLPOOL ea28a872cf6ac03178058a463cdc1f44470578b673c08612e7cdca4951f6dc38c94c11743d1761bba8c4edf577f37a86b3dc208f0bfdcc600bbe517cff5c9e90

diff --git a/dev-python/numba/numba-0.25.0.ebuild b/dev-python/numba/numba-0.25.0.ebuild
new file mode 100644
index 0000000..67a4bba
--- /dev/null
+++ b/dev-python/numba/numba-0.25.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="NumPy aware dynamic Python compiler using LLVM"
+HOMEPAGE="http://numba.pydata.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+RDEPEND="
+	>=dev-python/llvmlite-0.10[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.6[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python{2_7,3_3})
+	virtual/python-funcsigs[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? ( virtual/python-singledispatch[${PYTHON_USEDEP}] )
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# Delete intersphinx & entry to set sphinxjp.themecore, which is absent from portage, from conf.py
+PATCHES=( "${FILESDIR}"/${PN}-0.19.2-docbuild.patch )
+
+python_prepare_all() {
+	# Re-set them of doc build to one provided by sphinx
+	if has_version ">=dev-python/sphinx-1.3.1"; then
+		sed -e 's:basicstrap:classic:' -i docs/source/conf.py || die
+	else
+		sed -e 's:basicstrap:default:' -i docs/source/conf.py || die
+	fi
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	if ! python_is_python3; then
+		local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+		export CFLAGS
+	fi
+	distutils-r1_python_compile
+}
+
+python_compile_all() {
+	use doc && emake -C docs/ html
+}
+
+python_test() {
+	cd "${BUILD_DIR}"/lib* || die
+	${PYTHON} -c "import numba; numba.test()" || die
+}
+
+python_install_all() {
+	# doc needs obsolete sphinxjp package
+#	use doc && dodoc docs/Numba.pdf
+	use examples && local EXAMPLES=( examples/. )
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-04-06  5:29 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-06  5:29 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-04-26  6:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/numba/ Michał Górny
2020-01-30 21:26 Michał Górny
2019-12-26 14:36 David Seifert
2018-08-12 14:45 Patrick Lauer
2018-07-21  0:06 Mikle Kolyada
2018-07-06 20:29 Mike Gilbert
2018-07-03 15:43 Mike Gilbert
2018-06-26 17:17 Mike Gilbert
2018-06-24  9:40 Mikle Kolyada
2018-04-13  3:47 Benda XU
2018-01-05 13:26 Michał Górny
2017-09-16 17:10 Patrick Lauer
2017-07-21  0:23 Sebastien Fabbro
2017-07-21  0:23 Sebastien Fabbro
2017-02-16 16:54 Sebastien Fabbro
2017-01-10  5:27 Sebastien Fabbro
2017-01-09 22:36 Aaron Bauman
2016-09-03  9:10 Patrick Lauer
2016-06-12 14:21 Patrick Lauer
2016-04-05 17:28 Patrick Lauer
2016-03-05 10:33 Patrick Lauer
2016-02-19  8:20 Patrick Lauer
2015-11-20 14:11 Benda XU
2015-11-04  6:40 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1459920569.5f666b74c1a6aa0713a1661357a62bca986d334d.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox